#!/bin/bash
type_text() {
    local text="$1"
    local delay="$2"
    local char

    while IFS= read -r -n1 char; do
        printf "%b" "$char"
        sleep "$delay"
    done <<< "$text"

    printf "\n"
}

type_text "$(echo -e "\033[1;38;2;255;255;0mHerzlichen Glückwunsch! Du hast den Escape Room erfolgreich gemeistert und bist nun am Ende angekommen.\033[0m")" 0.02
type_text "$(echo -e "\n\033[1;38;2;255;255;128mVielen Dank fürs Spielen!\033[0m")" 0.04